Bug 615851 - Review Request: oflb-sportrop-fonts - A multiline decorative font
Summary: Review Request: oflb-sportrop-fonts - A multiline decorative font
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 477459
TreeView+ depends on / blocked
 
Reported: 2010-07-19 05:40 UTC by Parag Nemade
Modified: 2010-07-22 05:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 05:34:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Ankur Sinha (FranciscoD) 2010-07-19 11:16:36 UTC
+ OK
- NA
? ISSUE

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
- Sources match upstream md5sum:

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
? Package has a correct %clean section.
? Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
? No rpmlint output.

SHOULD Items:

+ Should build in mock.
- Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
- Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1.rpmlint output:

[Ankur@localhost SPECS]$ rpmlint oflb-sportrop-fonts.spec ../SRPMS/oflb-sportrop-fonts-0.9-8.fc13.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
oflb-sportrop-fonts.spec: W: no-cleaning-of-buildroot %install
oflb-sportrop-fonts.spec: W: no-cleaning-of-buildroot %clean
oflb-sportrop-fonts.spec: W: no-buildroot-tag
oflb-sportrop-fonts.spec: W: no-%clean-section
oflb-sportrop-fonts.spec: W: invalid-url Source0: http://openfontlibrary.org/people/gluk/gluk_-_Sportrop.zip HTTP Error 404: Not Found
oflb-sportrop-fonts.src: W: spelling-error Summary(en_US) multiline -> multilane, multilingual, multilevel
oflb-sportrop-fonts.src: W: spelling-error %description -l en_US multiline -> multilane, multilingual, multilevel
oflb-sportrop-fonts.src: W: invalid-url URL: http://openfontlibrary.org/media/files/gluk/287 HTTP Error 404: Not Found
oflb-sportrop-fonts.src: W: no-cleaning-of-buildroot %install
oflb-sportrop-fonts.src: W: no-cleaning-of-buildroot %clean
oflb-sportrop-fonts.src: W: no-buildroot-tag
oflb-sportrop-fonts.src: W: no-%clean-section
oflb-sportrop-fonts.src: W: invalid-url Source0: http://openfontlibrary.org/people/gluk/gluk_-_Sportrop.zip HTTP Error 404: Not Found
oflb-sportrop-fonts.noarch: W: spelling-error Summary(en_US) multiline -> multilane, multilingual, multilevel
oflb-sportrop-fonts.noarch: W: spelling-error %description -l en_US multiline -> multilane, multilingual, multilevel
oflb-sportrop-fonts.noarch: W: invalid-url URL: http://openfontlibrary.org/media/files/gluk/287 HTTP Error 404: Not Found
oflb-sportrop-fonts.src: W: spelling-error Summary(en_US) multiline -> multilane, multilingual, multilevel
oflb-sportrop-fonts.src: W: spelling-error %description -l en_US multiline -> multilane, multilingual, multilevel
oflb-sportrop-fonts.src: W: invalid-url URL: http://openfontlibrary.org/media/files/gluk/287 HTTP Error 404: Not Found
oflb-sportrop-fonts.src: W: no-cleaning-of-buildroot %install
oflb-sportrop-fonts.src: W: no-cleaning-of-buildroot %clean
oflb-sportrop-fonts.src: W: no-buildroot-tag
oflb-sportrop-fonts.src: W: no-%clean-section
oflb-sportrop-fonts.src: W: invalid-url Source0: http://openfontlibrary.org/people/gluk/gluk_-_Sportrop.zip HTTP Error 404: Not Found
3 packages and 1 specfiles checked; 0 errors, 24 warnings.

Ignorable warnings. 

Please check the buildroot and clean section before you create a cvs module. 

Rest looks okay.

XXX APPROVED XXX

Comment 2 Parag Nemade 2010-07-21 03:38:55 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: oflb-sportrop-fonts
Short Description: A multiline decorative font
Owners: pnemade
Branches: 
InitialCC: i18n-team fonts-sig

Comment 3 Kevin Fenzi 2010-07-21 05:17:56 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Parag Nemade 2010-07-22 05:34:11 UTC
Thanks all. Built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.